Skip to Content

Gemini Models API

Gemini ネイティブプロトコルを介して OfoxAI プラットフォーム上の利用可能なモデルをクエリします。レスポンス形式は Google GenAI API 仕様に準拠しています(namedisplayNameinputTokenLimit などの camelCase フィールド)。

Models APIはパブリックインターフェースです。API Key不要でご利用いただけます。このエンドポイントはGeminiプロトコルで呼び出し可能な全モデルを返します。Googleシリーズに限定されません。

全モデルの一覧

GET https://api.ofox.ai/gemini/v1beta/models

リクエスト例

Terminal
curl https://api.ofox.ai/gemini/v1beta/models

レスポンス形式

{ "models": [ { "name": "models/google/gemini-3-flash-preview", "version": "001", "displayName": "Google: Gemini 3 Flash Preview", "description": "High speed, high value thinking model designed for agentic workflows...", "inputTokenLimit": 1048576, "outputTokenLimit": 65536, "supportedGenerationMethods": [ "generateContent", "countTokens" ], "ownedBy": "google", "canonicalSlug": "gemini-3-flash-preview", "contextLength": 1048576, "architecture": { "modality": "text+image+audio+file->text", "input_modalities": ["text", "image", "audio", "file"], "output_modalities": ["text"], "tokenizer": "gemini", "instruct_type": null }, "pricing": { "prompt": "0.0000005", "completion": "0.000003", "audio": "0.000001", "input_cache_read": "0.00000005", "input_cache_write": "0.000001", "web_search": "0.014" }, "topProvider": { "context_length": 1048576, "max_completion_tokens": 65536, "is_moderated": false }, "supportedParameters": [ "temperature", "top_p", "max_tokens", "stop", "tools", "tool_choice", "response_format", "reasoning" ], "expirationDate": null } ] }

OpenAI プロトコルとのフィールドの違い

フィールドOpenAI プロトコルGemini プロトコル
リストキー名datamodels
モデル識別子idnamemodels/ プレフィックス付き)
名前namedisplayName
コンテキスト長context_lengthinputTokenLimit + contextLength
最大出力top_provider.max_completion_tokensoutputTokenLimit
命名規則snake_casecamelCase

プロバイダーでモデルをフィルタリング

GET https://api.ofox.ai/gemini/v1beta/models/{provider}

パスパラメータ

パラメータ説明
providerstringプロバイダー識別子(例:googleanthropicopenai

リクエスト例

Terminal
# Google シリーズのモデルのみ一覧表示 curl https://api.ofox.ai/gemini/v1beta/models/google

レスポンス形式

レスポンス形式は全モデル一覧と同じです。models 配列には指定されたプロバイダーのモデルのみが含まれます。

モデル詳細の取得

GET https://api.ofox.ai/gemini/v1beta/models/{provider}/{model_id}

パスパラメータ

パラメータ説明
providerstringプロバイダー識別子(例:google
model_idstringモデル名(例:gemini-3-flash-preview

リクエスト例

Terminal
curl https://api.ofox.ai/gemini/v1beta/models/google/gemini-3-flash-preview

レスポンス形式

単一のModelオブジェクトを返します。構造はリストインターフェースのオブジェクトと同じです。

Last updated on